List simulations in a run
curl --request GET \
--url https://app.egma.ai/v1/runs/{runId}/simulations \
--header 'Authorization: Bearer <token>'{
"simulations": [
{
"id": "<string>",
"position": 123,
"testId": "<string>",
"testName": "<string>",
"testVersionId": "<string>",
"personaId": "<string>",
"personaName": "<string>",
"personaVersionId": "<string>",
"status": "queued",
"gradingState": "not_requested",
"combinedScore": 0.5,
"gradeTally": {
"passed": 123,
"failed": 123,
"errored": 123,
"selected": 123
},
"reason": "persona_concluded",
"executionFailure": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"modality": "voice",
"hasRecording": true
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Runs
List simulations in a run
GET
/
v1
/
runs
/
{runId}
/
simulations
List simulations in a run
curl --request GET \
--url https://app.egma.ai/v1/runs/{runId}/simulations \
--header 'Authorization: Bearer <token>'{
"simulations": [
{
"id": "<string>",
"position": 123,
"testId": "<string>",
"testName": "<string>",
"testVersionId": "<string>",
"personaId": "<string>",
"personaName": "<string>",
"personaVersionId": "<string>",
"status": "queued",
"gradingState": "not_requested",
"combinedScore": 0.5,
"gradeTally": {
"passed": 123,
"failed": 123,
"errored": 123,
"selected": 123
},
"reason": "persona_concluded",
"executionFailure": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"modality": "voice",
"hasRecording": true
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Path Parameters
Run ID returned by Create a run or List runs.
Minimum string length:
1Example:
"run_01M0E4J0BBE1FVDVTZ1BSS5C97"
Query Parameters
Minimum string length:
1Required range:
1 <= x <= 200Minimum string length:
1